View Issue Details

IDProjectCategoryView StatusLast Update
0003545unrealmodule apipublic2008-04-07 15:10
Reporterstatic-xAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSFreebsdOS Version6.2
Product Version3.2.7 
Target VersionFixed in Version3.2.8 
Summary0003545: Remote includes // upgrade c-ares
DescriptionSome reason Unrealircd Curl isnt working correctly with the new version of Curl or even a older one.

SYZEDIT: upgrade c-ares to newest version. be sure to update our callbacks and stuff because the new version breaks the current c-ares API. Also check, if possible, what would happen older compiled curl+cares together with our new unreal+newcares... hmhm
TagsNo tags attached.
3rd party modules

Relationships

related to 0003671 resolvedsyzop Use c-ares 1.5.1 
child of 0003454 resolvedsyzop Unreal3.2.8 TODO 

Activities

syzop

2007-12-10 09:35

administrator   ~0014888

Could you give us some details of what goes wrong? Is it a problem during compiling? Or does compiling go ok and then a problem during running?
Any output with error messages?
Thanks.

static-x

2007-12-11 00:15

reporter   ~0014900

Last edited: 2007-12-11 00:19

i used jewles cURL.sh script to install the stuff for remote includes.

and after configuring unrealircd goes fine.... but when it is time to make i get this.


- (~/Unreal3.2.7) - make
Building src
gcc -I../include -I/home/syclone/Unreal3.2.7/extras/regexp/include -I/home/syclone/Unreal3.2.7/extras/c-ares/include -L../extras/c-ares/lib -pipe -g -O2 -funsigned-char -
fno-strict-aliasing -I/usr/local/include -DZIP_LINKS -I/home/syclone/curl/includ
e -DUSE_LIBCURL -export-dynamic -L/usr/local/lib -lssl -lcrypto -o ircd timesy
nch.o res.o s_bsd.o auth.o aln.o channel.o cloak.o crule.o dbuf.o events.o fdli
st.o hash.o help.o ircd.o ircsprintf.o list.o lusers.o match.o modules.o packet
.o parse.o s_auth.o s_conf.o s_debug.o s_err.o s_extra.o s_kline.o s_misc.o s_
numeric.o s_serv.o s_svs.o socket.o ssl.o s_user.o charsys.o scache.o send.o s
upport.o umodes.o version.o whowas.o zip.o cidr.o random.o extcmodes.o extbans
.o md5.o api-isupport.o api-command.o url.o -lcrypt -lz -L/home/syclone/curl/l
ib -lcurl -lcares -lssl -lcrypto -lssl -lcrypto -lz -L/home/syclone/Unreal3.2.7/extra
s/regexp/lib -ltre -lcares -lssl -lcrypto
/home/syclone/curl/lib/libcurl.a(hostares.o)(.text+0x1b): In function `Curl_reso
lv_getsock':
/home/syclone/depend/curl-7.17.0/lib/hostares.c:113: undefined reference to `ares_getsock'
/home/syclone/curl/lib/libcurl.a(hostares.o)(.text+0xa1): In function `ares_waitperform':
/home/syclone/depend/curl-7.17.0/lib/hostares.c:149: undefined reference to `ares_getsock'
/home/syclone/curl/lib/libcurl.a(hostares.o)(.text+0x130):/home/syclone/depend/curl-7.17.0/lib/hostares.c:178: undefined reference to `ares_process_fd'
/home/syclone/curl/lib/libcurl.a(hostares.o)(.text+0x194):/home/syclone/depend/curl-7.17.0/lib/hostares.c:182: undefined reference to `ares_process_fd'
*** Error code 1

Stop in /home/syclone/Unreal3.2.7/src.
*** Error code 1

Stop in /home/syclone/Unreal3.2.7.

I even tryin installin curl and ares before same thing...

syzop

2007-12-12 08:35

administrator   ~0014903

ok

syzop

2008-04-07 15:09

administrator   ~0015251

fixed in .702.
- Upgraded c-ares to 1.5.1, thanks to aegis for the partial patch (0003671).
  This also fixed a curl compile/run issue, reported by static-x (0003545).

Issue History

Date Modified Username Field Change
2007-12-07 02:53 static-x New Issue
2007-12-10 09:35 syzop Note Added: 0014888
2007-12-11 00:15 static-x Note Added: 0014900
2007-12-11 00:18 static-x Note Edited: 0014900
2007-12-11 00:19 static-x Note Edited: 0014900
2007-12-12 08:35 syzop Note Added: 0014903
2007-12-12 08:35 syzop Status new => acknowledged
2007-12-12 08:36 syzop Relationship added child of 0003454
2007-12-12 08:37 syzop QA => Not touched yet by developer
2007-12-12 08:37 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-12-12 08:37 syzop U4: Upstream notification of bug => Not decided
2007-12-12 08:37 syzop U4: Contributor working on this => None
2007-12-12 08:37 syzop Summary Remote includes => Remote includes // upgrade c-ares
2007-12-12 08:37 syzop Description Updated
2008-03-29 20:57 syzop Relationship added related to 0003671
2008-04-07 15:09 syzop Status acknowledged => resolved
2008-04-07 15:09 syzop Fixed in Version => 3.2.8
2008-04-07 15:09 syzop Resolution open => fixed
2008-04-07 15:09 syzop Assigned To => syzop
2008-04-07 15:09 syzop Note Added: 0015251
2017-01-06 15:48 syzop Category module => module api